curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/seller/order/return \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "MYBESTDEALCOMDE",
"sellerId": "4711",
"orderId": "43523-43432-43532",
"sellerReturnId": "123",
"orderItem": [
{
"orderItemId": "5437233",
"quantity": "1.0",
"acceptReturn": true,
"requireReturnShipping": true,
"note": "<string>"
}
],
"channelReturnId": "R12343"
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/order/return"
payload = {
"channel": "MYBESTDEALCOMDE",
"sellerId": "4711",
"orderId": "43523-43432-43532",
"sellerReturnId": "123",
"orderItem": [
{
"orderItemId": "5437233",
"quantity": "1.0",
"acceptReturn": True,
"requireReturnShipping": True,
"note": "<string>"
}
],
"channelReturnId": "R12343"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: 'MYBESTDEALCOMDE',
sellerId: '4711',
orderId: '43523-43432-43532',
sellerReturnId: '123',
orderItem: [
{
orderItemId: '5437233',
quantity: '1.0',
acceptReturn: true,
requireReturnShipping: true,
note: '<string>'
}
],
channelReturnId: 'R12343'
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/order/return', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Return
Send information about a received return.
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Body
Notification that a return shipment has been received and inspected by the seller.
Seller notification that a return shipment has been received and inspected, scoped to a channel.
This is the unique Channel name.
^\w{5,15}$"MYBESTDEALCOMDE"
A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
^\w{1,50}$"4711"
1 - 150"43523-43432-43532"
Id used to identify an order return on Seller side.
"123"
1Show child attributes
Show child attributes
Id used to identify an order return on Marketplace.
"R12343"
Response
Return information received
Was this page helpful?